from enum import Enum


class EventCode(Enum):
    LEAVE = 1
    JOIN_FINISHED = 2
    MOVE = 3
    TELEPORT = 4
    CHANGE_EQUIPMENT = 5
    HEALTH_UPDATE = 6
    ENERGY_UPDATE = 7
    DAMAGE_SHIELD_UPDATE = 8
    CRAFTING_FOCUS_UPDATE = 9
    ACTIVE_SPELL_EFFECTS_UPDATE = 10
    RESET_COOLDOWNS = 11
    ATTACK = 12
    CAST_START = 13
    CHANNELING_UPDATE = 14
    CAST_CANCEL = 15
    CAST_TIME_UPDATE = 16
    CAST_FINISHED = 17
    CAST_SPELL = 18
    CAST_HIT = 19
    CAST_HITS = 20
    CHANNELING_ENDED = 21
    ATTACK_BUILDING = 22
    INVENTORY_PUT_ITEM = 25
    INVENTORY_DELETE_ITEM = 26
    NEW_CHARACTER = 27
    NEW_EQUIPMENT_ITEM = 28
    NEW_SIEGE_BANNER_ITEM = 29
    NEW_SIMPLE_ITEM = 30
    NEW_FURNITURE_ITEM = 31
    NEW_KILL_TROPHY_ITEM = 32
    NEW_JOURNAL_ITEM = 33
    NEW_LABORER_ITEM = 34
    NEW_SIMPLE_HARVESTABLE_OBJECT = 35
    NEW_SIMPLE_HARVESTABLE_OBJECT_LIST = 36
    NEW_HARVESTABLE_OBJECT = 37
    NEW_SILVER_OBJECT = 38
    NEW_BUILDING = 39
    HARVESTABLE_CHANGE_STATE = 40
    MOB_CHANGE_STATE = 41
    FACTION_BUILDING_INFO = 42
    CRAFT_BUILDING_INFO = 43
    REPAIR_BUILDING_INFO = 44
    MELD_BUILDING_INFO = 45
    CONSTRUCTION_SITE_INFO = 46
    PLAYER_BUILDING_INFO = 47
    FARM_BUILDING_INFO = 48
    TUTORIAL_BUILDING_INFO = 49
    LABORER_OBJECT_INFO = 50
    LABORER_OBJECT_JOB_INFO = 51
    MARKET_PLACE_BUILDING_INFO = 52
    HARVEST_START = 53
    HARVEST_CANCEL = 54
    HARVEST_FINISHED = 59
    TAKE_SILVER = 60
    ACTION_ON_BUILDING_START = 61
    ACTION_ON_BUILDING_CANCEL = 62
    ACTION_ON_BUILDING_FINISHED = 63
    ITEM_REROLL_QUALITY_FINISHED = 64
    INSTALL_RESOURCE_START = 65
    INSTALL_RESOURCE_CANCEL = 66
    INSTALL_RESOURCE_FINISHED = 67
    CRAFT_ITEM_FINISHED = 68
    LOGOUT_CANCEL = 69
    CHAT_MESSAGE = 70
    CHAT_SAY = 71
    CHAT_WHISPER = 72
    CHAT_MUTED = 73
    PLAY_EMOTE = 74
    STOP_EMOTE = 75
    SYSTEM_MESSAGE = 76
    UTILITY_TEXT_MESSAGE = 77
    UPDATE_MONEY = 78
    UPDATE_FAME = 79
    UPDATE_LEARNING_POINTS = 80
    UPDATE_RE_SPEC_POINTS = 81
    UPDATE_CURRENCY = 82
    UPDATE_FACTION_STANDING = 83
    UPDATE_MIST_CITY_STANDING = 84
    RESPAWN = 85
    SERVER_DEBUG_LOG = 86
    CHARACTER_EQUIPMENT_CHANGED = 87
    REGENERATION_HEALTH_CHANGED = 88
    REGENERATION_ENERGY_CHANGED = 89
    REGENERATION_MOUNT_HEALTH_CHANGED = 90
    REGENERATION_CRAFTING_CHANGED = 91
    REGENERATION_HEALTH_ENERGY_COMBO_CHANGED = 92
    REGENERATION_PLAYER_COMBO_CHANGED = 93
    DURABILITY_CHANGED = 94
    NEW_LOOT = 95
    ATTACH_ITEM_CONTAINER = 96
    DETACH_ITEM_CONTAINER = 97
    INVALIDATE_ITEM_CONTAINER = 98
    LOCK_ITEM_CONTAINER = 99
    GUILD_UPDATE = 100
    GUILD_PLAYER_UPDATED = 101
    INVITED_TO_GUILD = 102
    GUILD_MEMBER_WORLD_UPDATE = 103
    UPDATE_MATCH_DETAILS = 104
    OBJECT_EVENT = 105
    NEW_MONOLITH_OBJECT = 106
    MONOLITH_HAS_BANNERS_PLACED_UPDATE = 107
    NEW_SIEGE_CAMP_OBJECT = 108
    NEW_ORB_OBJECT = 109
    NEW_CASTLE_OBJECT = 110
    NEW_SPELL_EFFECT_AREA = 111
    UPDATE_SPELL_EFFECT_AREA = 112
    NEW_CHAIN_SPELL = 113
    UPDATE_CHAIN_SPELL = 114
    NEW_TREASURE_CHEST = 115
    START_MATCH = 116
    START_TERRITORY_MATCH_INFOS = 117
    START_ARENA_MATCH_INFOS = 118
    END_TERRITORY_MATCH = 119
    NEW_MOB = 120
    DEBUG_AGGRO_INFO = 121
    DEBUG_VARIABLES_INFO = 122
    DEBUG_REPUTATION_INFO = 123
    DEBUG_DIMINISHING_RETURN_INFO = 124
    DEBUG_SMART_CLUSTER_QUEUE_INFO = 125
    CLAIM_ORB_START = 126
    CLAIM_ORB_FINISHED = 127
    CLAIM_ORB_CANCEL = 128
    ORB_UPDATE = 129
    ORB_CLAIMED = 130
    ORB_RESET = 131
    NEW_WAR_CAMP_OBJECT = 132
    NEW_MATCH_LOOT_CHEST_OBJECT = 133
    NEW_ARENA_EXIT = 134
    GUILD_MEMBER_TERRITORY_UPDATE = 135
    INVITED_MERCENARY_TO_MATCH = 136
    CLUSTER_INFO_UPDATE = 137
    FORCED_MOVEMENT = 138
    FORCED_MOVEMENT_CANCEL = 139
    CHARACTER_STATS = 140
    CHARACTER_STATS_KILL_HISTORY = 141
    CHARACTER_STATS_DEATH_HISTORY = 142
    GUILD_STATS = 143
    KILL_HISTORY_DETAILS = 144
    FULL_ACHIEVEMENT_INFO = 145
    FINISHED_ACHIEVEMENT = 146
    ACHIEVEMENT_PROGRESS_INFO = 147
    FULL_ACHIEVEMENT_PROGRESS_INFO = 148
    FULL_TRACKED_ACHIEVEMENT_INFO = 149
    FULL_AUTO_LEARN_ACHIEVEMENT_INFO = 150
    QUEST_GIVER_QUEST_OFFERED = 151
    QUEST_GIVER_DEBUG_INFO = 152
    CONSOLE_EVENT = 153
    TIME_SYNC = 154
    CHANGE_AVATAR = 155
    CHANGE_MOUNT_SKIN = 156
    GAME_EVENT = 157
    KILLED_PLAYER = 158
    DIED = 159
    KNOCKED_DOWN = 160
    UNCONCIOUS = 161
    MATCH_PLAYER_JOINED_EVENT = 162
    MATCH_PLAYER_STATS_EVENT = 163
    MATCH_PLAYER_STATS_COMPLETE_EVENT = 164
    MATCH_TIME_LINE_EVENT_EVENT = 165
    MATCH_PLAYER_MAIN_GEAR_STATS_EVENT = 166
    MATCH_PLAYER_CHANGED_AVATAR_EVENT = 167
    INVITATION_PLAYER_TRADE = 168
    PLAYER_TRADE_START = 169
    PLAYER_TRADE_CANCEL = 170
    PLAYER_TRADE_UPDATE = 171
    PLAYER_TRADE_FINISHED = 172
    PLAYER_TRADE_ACCEPT_CHANGE = 173
    MINI_MAP_PING = 174
    MARKET_PLACE_NOTIFICATION = 175
    DUELLING_CHALLENGE_PLAYER = 176
    NEW_DUELLING_POST = 177
    DUEL_STARTED = 178
    DUEL_ENDED = 179
    DUEL_DENIED = 180
    DUEL_REQUEST_CANCELED = 181
    DUEL_LEFT_AREA = 182
    DUEL_RE_ENTERED_AREA = 183
    NEW_REAL_ESTATE = 184
    MINI_MAP_OWNED_BUILDINGS_POSITIONS = 185
    REAL_ESTATE_LIST_UPDATE = 186
    GUILD_LOGO_UPDATE = 187
    GUILD_LOGO_CHANGED = 188
    PLACEABLE_OBJECT_PLACE = 189
    PLACEABLE_OBJECT_PLACE_CANCEL = 190
    FURNITURE_OBJECT_BUFF_PROVIDER_INFO = 191
    FURNITURE_OBJECT_CHEAT_PROVIDER_INFO = 192
    FARMABLE_OBJECT_INFO = 193
    NEW_UNREAD_MAILS = 194
    MAIL_OPERATION_POSSIBLE = 195
    GUILD_LOGO_OBJECT_UPDATE = 196
    START_LOGOUT = 197
    NEW_CHAT_CHANNELS = 198
    JOINED_CHAT_CHANNEL = 199
    LEFT_CHAT_CHANNEL = 200
    REMOVED_CHAT_CHANNEL = 201
    ACCESS_STATUS = 202
    MOUNTED = 203
    MOUNT_START = 204
    MOUNT_CANCEL = 205
    NEW_TRAVELPOINT = 206
    NEW_ISLAND_ACCESS_POINT = 207
    NEW_EXIT = 208
    UPDATE_HOME = 209
    UPDATE_CHAT_SETTINGS = 210
    RESURRECTION_OFFER = 211
    RESURRECTION_REPLY = 212
    LOOT_EQUIPMENT_CHANGED = 213
    UPDATE_UNLOCKED_GUILD_LOGOS = 214
    UPDATE_UNLOCKED_AVATARS = 215
    UPDATE_UNLOCKED_AVATAR_RINGS = 216
    UPDATE_UNLOCKED_BUILDINGS = 217
    NEW_ISLAND_MANAGEMENT = 218
    NEW_TELEPORT_STONE = 219
    CLOAK = 220
    PARTY_INVITATION = 221
    PARTY_JOIN_REQUEST = 222
    PARTY_JOINED = 223
    PARTY_DISBANDED = 224
    PARTY_PLAYER_JOINED = 225
    PARTY_CHANGED_ORDER = 226
    PARTY_PLAYER_LEFT = 227
    PARTY_LEADER_CHANGED = 228
    PARTY_LOOT_SETTING_CHANGED_PLAYER = 229
    PARTY_SILVER_GAINED = 230
    PARTY_PLAYER_UPDATED = 231
    PARTY_INVITATION_ANSWER = 232
    PARTY_JOIN_REQUEST_ANSWER = 233
    PARTY_MARKED_OBJECTS_UPDATED = 234
    PARTY_ON_CLUSTER_PARTY_JOINED = 235
    PARTY_SET_ROLE_FLAG = 236
    PARTY_INVITE_OR_JOIN_PLAYER_EQUIPMENT_INFO = 237
    SPELL_COOLDOWN_UPDATE = 238
    NEW_HELLGATE_EXIT_PORTAL = 239
    NEW_EXPEDITION_EXIT = 240
    NEW_EXPEDITION_NARRATOR = 241
    EXIT_ENTER_START = 242
    EXIT_ENTER_CANCEL = 243
    EXIT_ENTER_FINISHED = 244
    NEW_QUEST_GIVER_OBJECT = 245
    FULL_QUEST_INFO = 246
    QUEST_PROGRESS_INFO = 247
    QUEST_GIVER_INFO_FOR_PLAYER = 248
    FULL_EXPEDITION_INFO = 249
    EXPEDITION_QUEST_PROGRESS_INFO = 250
    INVITED_TO_EXPEDITION = 251
    EXPEDITION_REGISTRATION_INFO = 252
    ENTERING_EXPEDITION_START = 253
    ENTERING_EXPEDITION_CANCEL = 254
    REWARD_GRANTED = 255
    ARENA_REGISTRATION_INFO = 256
    ENTERING_ARENA_START = 257
    ENTERING_ARENA_CANCEL = 258
    ENTERING_ARENA_LOCK_START = 259
    ENTERING_ARENA_LOCK_CANCEL = 260
    INVITED_TO_ARENA_MATCH = 261
    USING_HELLGATE_SHRINE = 262
    ENTERING_HELLGATE_LOCK_START = 263
    ENTERING_HELLGATE_LOCK_CANCEL = 264
    PLAYER_COUNTS = 265
    IN_COMBAT_STATE_UPDATE = 266
    OTHER_GRABBED_LOOT = 267
    TREASURE_CHEST_USING_START = 268
    TREASURE_CHEST_USING_FINISHED = 269
    TREASURE_CHEST_USING_CANCEL = 270
    TREASURE_CHEST_USING_OPENING_COMPLETE = 271
    TREASURE_CHEST_FORCE_CLOSE_INVENTORY = 272
    LOCAL_TREASURES_UPDATE = 273
    LOOT_CHEST_SPAWNPOINTS_UPDATE = 274
    PREMIUM_CHANGED = 275
    PREMIUM_EXTENDED = 276
    PREMIUM_LIFE_TIME_REWARD_GAINED = 277
    GOLD_PURCHASED = 278
    LABORER_GOT_UPGRADED = 279
    JOURNAL_GOT_FULL = 280
    JOURNAL_FILL_ERROR = 281
    FRIEND_REQUEST = 282
    FRIEND_REQUEST_INFOS = 283
    FRIEND_INFOS = 284
    FRIEND_REQUEST_ANSWERED = 285
    FRIEND_ONLINE_STATUS = 286
    FRIEND_REQUEST_CANCELED = 287
    FRIEND_REMOVED = 288
    FRIEND_UPDATED = 289
    PARTY_LOOT_ITEMS = 290
    PARTY_LOOT_ITEMS_REMOVED = 291
    REPUTATION_UPDATE = 292
    DEFENSE_UNIT_ATTACK_BEGIN = 293
    DEFENSE_UNIT_ATTACK_END = 294
    DEFENSE_UNIT_ATTACK_DAMAGE = 295
    UNRESTRICTED_PVP_ZONE_UPDATE = 296
    REPUTATION_IMPLICATION_UPDATE = 297
    NEW_MOUNT_OBJECT = 298
    MOUNT_HEALTH_UPDATE = 299
    MOUNT_COOLDOWN_UPDATE = 300
    NEW_EXPEDITION_AGENT = 301
    NEW_EXPEDITION_CHECK_POINT = 302
    EXPEDITION_START_EVENT = 303
    VOTE_EVENT = 304
    RATING_EVENT = 305
    NEW_ARENA_AGENT = 306
    BOOST_FARMABLE = 307
    USE_FUNCTION = 308
    NEW_PORTAL_ENTRANCE = 309
    NEW_PORTAL_EXIT = 310
    NEW_RANDOM_DUNGEON_EXIT = 311
    WAITING_QUEUE_UPDATE = 312
    PLAYER_MOVEMENT_RATE_UPDATE = 313
    OBSERVE_START = 314
    MINIMAP_ZERGS = 315
    MINIMAP_SMART_CLUSTER_ZERGS = 316
    PAYMENT_TRANSACTIONS = 317
    PERFORMANCE_STATS_UPDATE = 318
    OVERLOAD_MODE_UPDATE = 319
    DEBUG_DRAW_EVENT = 320
    RECORD_CAMERA_MOVE = 321
    RECORD_START = 322
    CLAIM_POWER_CRYSTAL_START = 323
    CLAIM_POWER_CRYSTAL_CANCEL = 324
    CLAIM_POWER_CRYSTAL_RESET = 325
    CLAIM_POWER_CRYSTAL_FINISHED = 326
    TERRITORY_CLAIM_START = 327
    TERRITORY_CLAIM_CANCEL = 328
    TERRITORY_CLAIM_FINISHED = 329
    TERRITORY_SCHEDULE_RESULT = 330
    TERRITORY_UPGRADE_WITH_POWER_CRYSTAL_RESULT = 331
    RETURNING_POWER_CRYSTAL_START = 332
    RETURNING_POWER_CRYSTAL_FINISHED = 333
    UPDATE_ACCOUNT_STATE = 334
    START_DETERMINISTIC_ROAM = 335
    GUILD_FULL_ACCESS_TAGS_UPDATED = 336
    GUILD_ACCESS_TAG_UPDATED = 337
    GVG_SEASON_UPDATE = 338
    GVG_SEASON_CHEAT_COMMAND = 339
    SEASON_POINTS_BY_KILLING_BOOSTER = 340
    FISHING_START = 341
    FISHING_CAST = 342
    FISHING_CATCH = 343
    FISHING_FINISHED = 344
    FISHING_CANCEL = 345
    NEW_FLOAT_OBJECT = 346
    NEW_FISHING_ZONE_OBJECT = 347
    FISHING_MINI_GAME = 348
    STEAM_ACHIEVEMENT_COMPLETED = 349
    UPDATE_PUPPET = 350
    CHANGE_FLAGGING_FINISHED = 351
    NEW_OUTPOST_OBJECT = 352
    OUTPOST_UPDATE = 353
    OUTPOST_CLAIMED = 354
    OVER_CHARGE_END = 355
    OVER_CHARGE_STATUS = 356
    PARTY_FINDER_FULL_UPDATE = 357
    PARTY_FINDER_UPDATE = 358
    PARTY_FINDER_APPLICANTS_UPDATE = 359
    PARTY_FINDER_EQUIPMENT_SNAPSHOT = 360
    PARTY_FINDER_JOIN_REQUEST_DECLINED = 361
    NEW_UNLOCKED_PERSONAL_SEASON_REWARDS = 362
    PERSONAL_SEASON_POINTS_GAINED = 363
    PERSONAL_SEASON_PAST_SEASON_DATA_EVENT = 364
    EASY_ANTI_CHEAT_MESSAGE_TO_CLIENT = 365
    MATCH_LOOT_CHEST_OPENING_START = 366
    MATCH_LOOT_CHEST_OPENING_FINISHED = 367
    MATCH_LOOT_CHEST_OPENING_CANCEL = 368
    NOTIFY_CRYSTAL_MATCH_REWARD = 369
    CRYSTAL_REALM_FEEDBACK = 370
    NEW_LOCATION_MARKER = 371
    NEW_TUTORIAL_BLOCKER = 372
    NEW_TILE_SWITCH = 373
    NEW_INFORMATION_PROVIDER = 374
    NEW_DYNAMIC_GUILD_LOGO = 375
    NEW_DECORATION = 376
    TUTORIAL_UPDATE = 377
    TRIGGER_HINT_BOX = 378
    RANDOM_DUNGEON_POSITION_INFO = 379
    NEW_LOOT_CHEST = 380
    UPDATE_LOOT_CHEST = 381
    LOOT_CHEST_OPENED = 382
    UPDATE_LOOT_PROTECTED_BY_MOBS_WITH_MINIMAP_DISPLAY = 383
    NEW_SHRINE = 384
    UPDATE_SHRINE = 385
    UPDATE_ROOM = 386
    NEW_MIST_DUNGEON_ROOM_MOB_SOUL = 387
    NEW_HELLGATE_SHRINE = 388
    UPDATE_HELLGATE_SHRINE = 389
    ACTIVATE_HELLGATE_EXIT = 390
    MUTE_PLAYER_UPDATE = 391
    SHOP_TILE_UPDATE = 392
    SHOP_UPDATE = 393
    EASY_ANTI_CHEAT_KICK = 394
    BATTL_EYE_SERVER_MESSAGE = 395
    UNLOCK_VANITY_UNLOCK = 396
    AVATAR_UNLOCKED = 397
    CUSTOMIZATION_CHANGED = 398
    BASE_VAULT_INFO = 399
    GUILD_VAULT_INFO = 400
    BANK_VAULT_INFO = 401
    RECOVERY_VAULT_PLAYER_INFO = 402
    RECOVERY_VAULT_GUILD_INFO = 403
    UPDATE_WARDROBE = 404
    CASTLE_PHASE_CHANGED = 405
    GUILD_ACCOUNT_LOG_EVENT = 406
    NEW_HIDEOUT_OBJECT = 407
    NEW_HIDEOUT_MANAGEMENT = 408
    NEW_HIDEOUT_EXIT = 409
    INIT_HIDEOUT_ATTACK_START = 410
    INIT_HIDEOUT_ATTACK_CANCEL = 411
    INIT_HIDEOUT_ATTACK_FINISHED = 412
    HIDEOUT_MANAGEMENT_UPDATE = 413
    HIDEOUT_UPGRADE_WITH_POWER_CRYSTAL_RESULT = 414
    IP_CHANGED = 415
    SMART_CLUSTER_QUEUE_UPDATE_INFO = 416
    SMART_CLUSTER_QUEUE_ACTIVE_INFO = 417
    SMART_CLUSTER_QUEUE_KICK_WARNING = 418
    SMART_CLUSTER_QUEUE_INVITE = 419
    RECEIVED_GVG_SEASON_POINTS = 420
    TOWER_POWER_POINT_UPDATE = 421
    OPEN_WORLD_ATTACK_SCHEDULE_START = 422
    OPEN_WORLD_ATTACK_SCHEDULE_FINISHED = 423
    OPEN_WORLD_ATTACK_SCHEDULE_CANCEL = 424
    OPEN_WORLD_ATTACK_CONQUER_START = 425
    OPEN_WORLD_ATTACK_CONQUER_FINISHED = 426
    OPEN_WORLD_ATTACK_CONQUER_CANCEL = 427
    OPEN_WORLD_ATTACK_CONQUER_STATUS = 428
    OPEN_WORLD_ATTACK_START = 429
    OPEN_WORLD_ATTACK_END = 430
    NEW_RANDOM_RESOURCE_BLOCKER = 431
    NEW_HOME_OBJECT = 432
    HIDEOUT_OBJECT_UPDATE = 433
    UPDATE_INFAMY = 434
    MINIMAP_POSITION_MARKERS = 435
    NEW_TUNNEL_EXIT = 436
    CORRUPTED_DUNGEON_UPDATE = 437
    CORRUPTED_DUNGEON_STATUS = 438
    CORRUPTED_DUNGEON_INFAMY = 439
    HELLGATE_RESTRICTED_AREA_UPDATE = 440
    HELLGATE_INFAMY = 441
    HELLGATE_STATUS = 442
    HELLGATE_STATUS_UPDATE = 443
    HELLGATE_SUSPENSE = 444
    REPLACE_SPELL_SLOT_WITH_MULTI_SPELL = 445
    NEW_CORRUPTED_SHRINE = 446
    UPDATE_CORRUPTED_SHRINE = 447
    CORRUPTED_SHRINE_USAGE_START = 448
    CORRUPTED_SHRINE_USAGE_CANCEL = 449
    EXIT_USED = 450
    LINKED_TO_OBJECT = 451
    LINK_TO_OBJECT_BROKEN = 452
    ESTIMATED_MARKET_VALUE_UPDATE = 453
    STUCK_CANCEL = 454
    DUNGON_ESCAPE_READY = 455
    FACTION_WARFARE_CLUSTER_STATE = 456
    FACTION_WARFARE_HAS_UNCLAIMED_WEEKLY_REPORTS_EVENT = 457
    SIMPLE_FEEDBACK = 458
    SMART_CLUSTER_QUEUE_SKIP_CLUSTER_ERROR = 459
    XIGN_CODE_EVENT = 460
    BATCH_USE_ITEM_START = 461
    BATCH_USE_ITEM_END = 462
    RED_ZONE_EVENT_CLUSTER_STATUS = 463
    RED_ZONE_PLAYER_NOTIFICATION = 464
    RED_ZONE_WORLD_EVENT = 465
    FACTION_WARFARE_STATS = 466
    UPDATE_FACTION_BALANCE_FACTORS = 467
    FACTION_ENLISTMENT_CHANGED = 468
    UPDATE_FACTION_RANK = 469
    FACTION_WARFARE_CAMPAIGN_REWARDS_UNLOCKED = 470
    FEATURED_FEATURE_UPDATE = 471
    NEW_POWER_CRYSTAL_OBJECT = 472
    MINIMAP_CRYSTAL_POSITION_MARKER = 473
    CARRY_POWER_CRYSTAL_UPDATE = 474
    PICKUP_POWER_CRYSTAL_START = 475
    PICKUP_POWER_CRYSTAL_CANCEL = 476
    PICKUP_POWER_CRYSTAL_FINISHED = 477
    DO_SIMPLE_ACTION_START = 478
    DO_SIMPLE_ACTION_CANCEL = 479
    DO_SIMPLE_ACTION_FINISHED = 480
    NOTIFY_GUEST_ACCOUNT_VERIFIED = 481
    MIGHT_AND_FAVOR_RECEIVED_EVENT = 482
    WEEKLY_PVP_CHALLENGE_REWARD_STATE_UPDATE = 483
    NEW_UNLOCKED_PVP_SEASON_CHALLENGE_REWARDS = 484
    STATIC_DUNGEON_ENTRANCES_DUNGEON_EVENT_STATUS_UPDATES = 485
    STATIC_DUNGEON_DUNGEON_VALUE_UPDATE = 486
    STATIC_DUNGEON_ENTRANCE_DUNGEON_EVENTS_ABORTED = 487
    IN_APP_PURCHASE_CONFIRMED_GOOGLE_PLAY = 488
    FEATURE_SWITCH_INFO = 489
    PARTY_JOIN_REQUEST_ABORTED = 490
    PARTY_INVITE_ABORTED = 491
    PARTY_START_HUNT_REQUEST = 492
    PARTY_START_HUNT_REQUESTED = 493
    PARTY_START_HUNT_REQUEST_ANSWER = 494
    GUILD_INVITE_DECLINED = 495
    CANCEL_MULTI_SPELL_SLOTS = 496
    NEW_VISUAL_EVENT_OBJECT = 497
    CASTLE_CLAIM_PROGRESS = 498
    CASTLE_CLAIM_PROGRESS_LOGO = 499
    TOWN_PORTAL_UPDATE_STATE = 500
    TOWN_PORTAL_FAILED = 501
    CONSUMABLE_VANITY_CHARGES_ADDED = 502
    FESTIVITIES_UPDATE = 503
    NEW_BANNER_OBJECT = 504
    NEW_MISTS_IMMEDIATE_RETURN_EXIT = 505
    MISTS_PLAYER_JOINED_INFO = 506
    NEW_MISTS_STATIC_ENTRANCE = 507
    NEW_MISTS_OPEN_WORLD_EXIT = 508
    NEW_TUNNEL_EXIT_TEMP = 509
    NEW_MISTS_WISP_SPAWN = 510
    MISTS_WISP_SPAWN_STATE_CHANGE = 511
    NEW_MISTS_CITY_ENTRANCE = 512
    NEW_MISTS_CITY_ROADS_ENTRANCE = 513
    MISTS_CITY_ROADS_ENTRANCE_PARTY_STATE_UPDATE = 514
    MISTS_CITY_ROADS_ENTRANCE_CLEAR_STATE_FOR_PARTY = 515
    MISTS_ENTRANCE_DATA_CHANGED = 516
    NEW_MISTS_CAGED_WISP = 517
    MISTS_WISP_CAGE_OPENED = 518
    MISTS_ENTRANCE_PARTY_BINDING_CREATED = 519
    MISTS_ENTRANCE_PARTY_BINDING_CLEARED = 520
    MISTS_ENTRANCE_PARTY_BINDING_INFOS = 521
    NEW_MISTS_BORDER_EXIT = 522
    NEW_MISTS_DUNGEON_EXIT = 523
    LOCAL_QUEST_INFOS = 524
    LOCAL_QUEST_STARTED = 525
    LOCAL_QUEST_ACTIVE = 526
    LOCAL_QUEST_INACTIVE = 527
    LOCAL_QUEST_PROGRESS_UPDATE = 528
    NEW_UNRESTRICTED_PVP_ZONE = 529
    TEMPORARY_FLAGGING_STATUS_UPDATE = 530
    SPELL_TEST_PERFORMANCE_UPDATE = 531
    TRANSFORMATION = 532
    TRANSFORMATION_END = 533
    UPDATE_TRUSTLEVEL = 534
    REVEAL_HIDDEN_TIME_STAMPS = 535
    MODIFY_ITEM_TRAIT_FINISHED = 536
    REROLL_ITEM_TRAIT_VALUE_FINISHED = 537
    HUNT_QUEST_PROGRESS_INFO = 538
    HUNT_STARTED = 539
    HUNT_FINISHED = 540
    HUNT_ABORTED = 541
    HUNT_MISSION_STEP_STATE_UPDATE = 542
    NEW_HUNT_TRACK = 543
    HUNT_MISSION_UPDATE = 544
    HUNT_QUEST_MISSION_PROGRESS_UPDATE = 545
    HUNT_TRACK_USED = 546
    HUNT_TRACK_USEABLE_AGAIN = 547
    MINIMAP_HUNT_TRACK_MARKERS = 548
    NO_TRACKS_FOUND = 549
    HUNT_QUEST_ABORTED = 550
    INTERACT_WITH_TRACK_START = 551
    INTERACT_WITH_TRACK_CANCEL = 552
    INTERACT_WITH_TRACK_FINISHED = 553
    NEW_DYNAMIC_COMPOUND = 554
    LEGENDARY_ITEM_DESTROYED = 555
    ATTUNEMENT_INFO = 556
    TERRITORY_CLAIM_RAIDED_RAW_ENERGY_CRYSTAL_RESULT = 557
    CARRIED_OBJECT_EXPIRY_WARNING = 558
    CARRIED_OBJECT_EXPIRED = 559
    TERRITORY_RAID_START = 560
    TERRITORY_RAID_CANCEL = 561
    TERRITORY_RAID_FINISHED = 562
    TERRITORY_RAID_RESULT = 563
    TERRITORY_MONOLITH_ACTIVE_RAID_STATUS = 564
    TERRITORY_MONOLITH_ACTIVE_RAID_CANCELLED = 565
    MONOLITH_ENERGY_STORAGE_UPDATE = 566
    MONOLITH_NEXT_SCHEDULED_OPEN_WORLD_ATTACK_UPDATE = 567
    MONOLITH_PROTECTED_BUILDINGS_DAMAGE_REDUCTION_UPDATE = 568
    NEW_BUILDING_BASE_EVENT = 569
    NEW_FORTIFICATION_BUILDING = 570
    NEW_CASTLE_GATE_BUILDING = 571
    BUILDING_DURABILITY_UPDATE = 572
    MONOLITH_FORTIFICATION_POINTS_UPDATE = 573
    FORTIFICATION_BUILDING_UPGRADE_INFO = 574
    FORTIFICATION_BUILDINGS_DAMAGE_STATE_UPDATE = 575
    SIEGE_NOTIFICATION_EVENT = 576
    UPDATE_ENEMY_WAR_BANNER_ACTIVE = 577
    TERRITORY_ANNOUNCE_PLAYER_EJECTION = 578
    CASTLE_GATE_SWITCH_USE_STARTED = 579
    CASTLE_GATE_SWITCH_USE_FINISHED = 580
    FORTIFICATION_BUILDING_WILL_DOWNGRADE = 581
